#ifndef BRD_N411_HEADER
#define BRD_N411_HEADER

#include "stm32f4xx_hal.h"

// LED is on PA5 or PB13 (Arduino D13)
enum n411_leds_t {
  LED0= 1<<5, // green PA5 / TIM2.CH1

  LED_GREEN= LED0
};

#define brd_led_port GPIOA
#define brd_led n411_leds_t

enum n411_btns_t {
  BTN0= 1<<13 // BTN0 PC13
};

#define brd_btn_port GPIOC
#define brd_btn n411_btns_t
#define brd_btn_mode "IP2N"

#define ODR_NAME ODR
#define IDR_NAME IDR

#define TDR      DR
#define RDR      DR
#define BRD_USART 2
#define BRD_STDIO "/dev/usart2"
#define BRD_TX_PIN "PA2"
#define BRD_RX_PIN "PA3"

#define BRD_LED_TIMER htim2
#define BRD_CL_NAME   CCR1
#define BRD_ARR_NAME  ARR
#define BRD_TIMER_INIT MX_TIM2_Init
#define BRD_LED_PWM_AF GPIO_AF1_TIM2

#endif

/* End of brd_n411.h */
